import logging

from advai_airflow_plugins.policy.config import PolicyConfigFactory

log = logging.getLogger(__name__)

DAGS_GIT_URL: str = "empty url"
POLICY_CONFIG_FACTORY = PolicyConfigFactory(
    configs=[],
    protected_images=[],
)

try:  # pylint: disable=too-many-nested-blocks
    import airflow_plugins_local_config

    if hasattr(airflow_plugins_local_config, "__all__"):
        for i in airflow_plugins_local_config.__all__:  # pylint: disable=no-member
            globals()[i] = getattr(airflow_plugins_local_config, i)
    else:
        for k, v in airflow_plugins_local_config.__dict__.items():
            if not k.startswith("__"):
                globals()[k] = v

    log.info("Loaded airflow_plugins_local_config from %s .", airflow_plugins_local_config.__file__)
except ImportError:
    log.debug("Failed to import airflow_plugins_local_config.", exc_info=True)
